This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700868 - RHQ3 ---> RHQ4 Upgrade error with Oracle
RHQ3 ---> RHQ4 Upgrade error with Oracle
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
4.0.0.Beta2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-29 12:24 EDT by Mike Foley
Modified: 2013-09-02 03:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rhq-installer-dbupgrade.log (100.89 KB, application/octet-stream)
2011-04-29 12:24 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-04-29 12:24:44 EDT
Created attachment 495811 [details]
rhq-installer-dbupgrade.log

Description of problem:
RHQ3  --->  RHQ4 Upgrade error with Oracle

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  RHQ3 install, add resources
2.  RHQ4 upgrade
3.
  
Actual results:

Failed to save properties and fully deploy - RHQ Server will not function properly Cause: java.lang.RuntimeException:Cannot run ANT on script [/root/rhq/rhq-server-RELEASE2/rhq-server-4.0.0.TEST/logs/db-upgrade.xml]. Cause: /root/rhq/rhq-server-RELEASE2/rhq-server-4.0.0.TEST/logs/db-upgrade.xml:27: Failed to upgrade - error in spec version [2.102]. Cause: Error executing the task [org.rhq.core.db.ant.dbupgrade.SST_JavaTask] in schema spec version [2.102]. Cause: Java Task Error: class=[java.sql.SQLException: ORA-00911: invalid character ] -> org.apache.tools.ant.BuildException:Failed to upgrade - error in spec version [2.102]. Cause: Error executing the task [org.rhq.core.db.ant.dbupgrade.SST_JavaTask] in schema spec version [2.102]. Cause: Java Task Error: class=[java.sql.SQLException: ORA-00911: invalid character ] -> org.apache.tools.ant.BuildException:Failed to upgrade - error in spec version [2.102]. Cause: Error executing the task [org.rhq.core.db.ant.dbupgrade.SST_JavaTask] in schema spec version [2.102]. Cause: Java Task Error: class=[java.sql.SQLException: ORA-00911: invalid character ] -> org.apache.tools.ant.BuildException:Error executing the task [org.rhq.core.db.ant.dbupgrade.SST_JavaTask] in schema spec version [2.102]. Cause: Java Task Error: class=[java.sql.SQLException: ORA-00911: invalid character ] -> org.apache.tools.ant.BuildException:Java Task Error: class=[java.sql.SQLException: ORA-00911: invalid character ] -> java.sql.SQLException:ORA-00911: invalid character [SQLException=ORA-00911: invalid character ]


Expected results:


Additional info:
see attached log files
Comment 1 Jay Shaughnessy 2011-04-29 12:29:04 EDT
The problem is in the static sql queries in the upgrade task.  Oracle does not allow for the ';' termination character in the query.  Removing these should do the trick.

I'll check this into the ie-fragment branch, which should eventually get merged into both the rhq4 release and master branches.
Comment 2 Jay Shaughnessy 2011-04-29 16:57:06 EDT
There were more issues with the upgrade.

All fixes pushed to master, release-4.0.0 and ie-fragment-fix branches.
Comment 3 Mike Foley 2011-04-30 21:20:25 EDT
verified by performing RHQ3 --> RHQ4 migration.  inventoried resources appeared in RHQ4 as expected.  review of server logs (both rhq-server-log4j.log and rhqinstaller-dbupgrade.log) manifested no errors.
Comment 4 Heiko W. Rupp 2013-09-02 03:20:19 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.